# Method ADT.CircularList()->push_front()

Method push_front

  ``void` push_front(`mixed` `value`, `bool`|`void` `force`)`

Description

  Add a new value at the front of the list.

Parameter `value`

  The value to add.

Parameter `force`

  Add the value even if the list is full, in which case the element at the back of the list will be removed.

Throws

  An error if the list is full and `force` is false.

Note

  `force` was not supported in Pike 8.0.1800 and earlier.

Note

  This is the same operation as push_front().

See also

  add(), push_back()